login  Naam:   Wachtwoord: 
Registreer je!
 Forum

Linux - Printer delen?

Offline NVZ - 08/09/2008 15:56 (laatste wijziging 08/09/2008 15:57)
Avatar van NVZLid Beste mensen,

Ik ben vandaag al de hele dag bezig om printers die op mijn linux machine zijn aangesloten te delen zodat ik er ook op mijn windwos pc bij kan. Tot nog toe heb ik er nog niet echt veel succes mee..:S

De printers zijn geïnstalleerd en werken ook als je direct vanaf linux print. In SMB.conf heb ik de volgende configuratie staan:

  1. [global]
  2. netbios name = Development-server
  3. server string = Webserver MKB-Technology
  4. workgroup = MSHOME
  5. security = user
  6. wins support = yes
  7. load printers = yes
  8. printing = cups
  9. print command = lpr -P %p -o raw %s -r
  10.  
  11. [printers]
  12. comment = All Printers
  13. path = /var/spool/lpd/lp
  14. browseable = yes
  15. printable = yes
  16. public = yes
  17. writable = no
  18. create mode = 0700
  19. guest ok = yes


Windows ziet de gedeelte printers wel en wil ze ook wel installeren, maar wanneer ik de wachtrij aan klik krijg ik de volgende melding: "Toegang geweigerd, kan geen verbinding maken"

Ik heb al vele sites afgezocht voor het probleem en heb diverse dingen geprobeerd maar het wil alsnog niet lukken.

Ook raar is dat de utility Systeem -> Administration -> Printing niet werkt. als ik het icoon aan klik dan gebeurt er niets??

Wie kan mij helpen op dit gebied?

9 antwoorden

Gesponsorde links
Offline Wim - 08/09/2008 16:00
Avatar van Wim Crew algemeen http://www.webmin.com/ kan ook altijd handig zijn.... heb SAMBA daar altijd mee geconfigureerd tbh...
Offline NVZ - 08/09/2008 16:49 (laatste wijziging 08/09/2008 16:55)
Avatar van NVZ Lid Op een of andere manier lukt het me nooit in een keer om iets simpels op linux te installeren..:S

Ik krijg de volgende foutmelding:
  1. development:/etc/apt# apt-get -f install webmin
  2. Pakketlijsten worden ingelezen... Klaar
  3. Boom van vereisten wordt opgebouwd
  4. De status informatie wordt gelezen... Klaar
  5. webmin is reeds de nieuwste versie.
  6. U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
  7. De volgende pakketten hebben niet-voldane vereisten:
  8. webmin: Vereisten: libnet-ssleay-perl maar het zal niet geïnstalleerd worden
  9. Vereisten: libauthen-pam-perl maar het zal niet geïnstalleerd worden
  10. Vereisten: libio-pty-perl maar het zal niet geïnstalleerd worden
  11. Vereisten: libmd5-perl maar het zal niet geïnstalleerd worden
  12. E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing


NU staat er op hun website (http://www.webmin.com/deb.html) al enige informatie over die paketten maar het verhelpen van deze meldingen geeft ook problemen:

  1. development:/opt/lampp/htdocs# apt-get install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl libmd5-perl
  2. Pakketlijsten worden ingelezen... Klaar
  3. Boom van vereisten wordt opgebouwd
  4. De status informatie wordt gelezen... Klaar
  5. U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
  6. De volgende pakketten hebben niet-voldane vereisten:
  7. perl: Vereisten: perl-base (= 5.10.0-13) maar 5.10.0-11 zal geïnstalleerd worden
  8. Vereisten: perl-modules (>= 5.10.0-13) maar 5.10.0-11 zal geïnstalleerd worden
  9. Aanbevelingen: perl-doc maar het zal niet geïnstalleerd worden
  10. E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).


Dus ook dat gaat niet super vlekkeloos, iemand enig idee hoe deze foutmeldingen komen?
Offline Stijn - 08/09/2008 17:03
Avatar van Stijn PHP expert Doe eens het volgende.

  1. apt-get update
  2. apt-get upgrade
Offline Slipie - 08/09/2008 21:33
Avatar van Slipie PHP beginner Zo te zien gebruik je een debian based systeem.
Weet je zeker dat er nog support op je OS zit? apt installeerd namelijk geen paketten als hij ze niet kan vinden (404) of wanneer er pakketjes beschadigd zijn of out of sync met je package database.
Dus heb je de apt-get install -f al uitgevoerd? En als je de apt-get update doet krijg je dan wel overal een hit? een apt-get upgrade doen is niet zo'n heel goed idee. zo te zien is het een development machine en door nieuwere versies te installeren kan je nog wel eens dingen breken (zelfgemaakte scripts).
Het beste is uiteindelijk om de cupsd printserver te installeren. SAMBA gaat er namelijk standaard van uit dat je cupsd geinstalleerd hebt.
Succes!
Offline NVZ - 09/09/2008 08:43
Avatar van NVZ Lid Ik heb nu de Webmin aan de gang, handig tooltje!

Maar het probleem met de printers is nog niet opgelost. N.a.v. jou post over de cupsd printserver heb ik deze geprobeerd te installeren met het volgende command:
  1. sudo apt-get install cupsys

Maar het blijkt dat dit al geinstalleerd was? Dus het zou moeten werken naar mijn idee..?
Is er nog iets belangrijks wat ik mis? In Webmin staan alle opties voor sharing op enabled.

Offline constantine1 - 09/09/2008 09:02
Avatar van constantine1 Nieuw lid als ik me niet vergis moet je bij linux ook nog de rechten instellen op de printer van wie er van buitenaf in mag loggen. Maar dat weet ik niet helemaal zeker, gebruik zelf een andere distro (linux mint) en daarop werkt het prima zolang ik maar rechten toewijs.
Offline NVZ - 09/09/2008 09:22
Avatar van NVZ Lid Constantine,
Ik ben er nog niet achter hoe die rechten in Linux nu eigenlijk werken. Ik heb de printers namelijk op Printable to everyone staan. Dus een user hoeft naar mijn idee dan geen specifieke rechten te hebben.

Op diverse forums kom ik ook tegen dat ik printer configuration moet openen (via systeem -> beheer -> Afdrukken) om rechten in te stellen. Maar die hele optie werkt niet?
Offline Slipie - 09/09/2008 09:48
Avatar van Slipie PHP beginner Met een unix client kan je wel bij de printers komen?
En heb je de volgende gegevens geconfigureerd staan:

  1. printing = cups
  2. printcap name = cups
  3.  
  4. [print$]
  5. comment = Printer Drivers
  6. path = /var/lib/samba/printers
  7. browseable = yes
  8. read only = yes
  9. guest ok = no


Uiteraard wel zo aanpassen dat de gegevens aan jouw systeem voldoen.
Offline NVZ - 09/09/2008 10:27
Avatar van NVZ Lid ik heb de volgende gegevens ingesteld:

  1. [printers]
  2. comment = All Printers
  3. path = /var/spool/lpd/lp
  4. browseable = yes
  5. printable = yes
  6. public = yes
  7. writable = no
  8. create mode = 0700
  9. guest ok = yes


Alleen dat path is mij onduidelijk, ik heb maar een uit de voorbeelden op internet genomen namelijk.
Gesponsorde links
Dit onderwerp is gesloten.
Actieve forumberichten
© 2002-2022 Sitemasters.be - Regels - Laadtijd: 0.136s